Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000207bareos-core[All Projects] Generalpublic2013-07-15 10:262015-03-25 19:19
Reportermvwieringen 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOpenIndianaOSOpenIndianaOS Versionb151a
Product Version13.2.1 
Target Version13.2.2Fixed in Version13.2.2 
Summary0000207: Implement plugin options passing.
DescriptionImplement a new feature to pass plugin option as part of the restore process.
Most of the plugin options input was already implemented but for the restore
the options were never pushed to the file daemon. We should pass it to the
filed and raise a bEventPluginCommand event. This way a user can pass in extra
hints to the plugin for the restore process. Currently the plugin only gets
passed in the plugin options that were defined at the moment the backup was made.
Additional InformationThe options defined by the user at restore time are passed before the actual
options saved at backup time are passed so the plugin should take care to ignore
any of the options passed in as part of the backup stream being restored.
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action
Attached Files

- Relationships

-  Notes
(0000575)
mvwieringen adm (administrator)
2013-08-13 03:12

Fix committed to bareos master branch with changesetid 605.
(0000689)
mvwieringen (developer)
2013-10-06 12:04

Fix committed to bareos bareos-13.2 branch with changesetid 1184.
(0001417)
mvwieringen (developer)
2015-03-25 16:51

Fix committed to bareos2015 bareos-14.2 branch with changesetid 5093.
(0001569)
joergs (administrator)
2015-03-25 19:19

Due to the reimport of the Github repository to bugs.bareos.org, the status of some tickets have been changed. These tickets will be closed again.
Sorry for the noise.

- Related Changesets
bareos: master 73e72117
Timestamp: 2013-07-13 15:29:43
Author: mvwieringen adm
Ported: N/A
Details ] Diff ]
Implement plugin options passing.

Implement a new feature to pass plugin option as part of the restore process.
Most of the plugin options input was already implemented but for the restore
the options were never pushed to the file daemon. We should pass it to the
filed and raise a bEventPluginCommand event. This way a user can pass in extra
hints to the plugin for the restore process. Currently the plugin only gets
passed in the plugin options that were defined at the moment the backup was made.

The options defined by the user at restore time are passed before the actual
options saved at backup time are passed so the plugin should take care to ignore
any of the options passed in as part of the backup stream being restored
when it already got a override at restore time.

We increased the FD protocol number to 52 to be able to detect if the file daemon
understand the new protocol keyword.

Along the way we tweaked the layout of fileset traversal code somewhat. Added
some spaces and fixed the scoping of the variables somewhat. So you understand
what is going on. And fixed the comments in the filed plugin code.

Fixes 0000207: Implement plugin options passing.
mod - src/filed/fd_plugins.c Diff ] File ]
mod - src/filed/dir_cmd.c Diff ] File ]
mod - src/filed/authenticate.c Diff ] File ]
mod - src/dird/ua_run.c Diff ] File ]
mod - src/dird/restore.c Diff ] File ]
mod - src/dird/protos.h Diff ] File ]
mod - src/dird/fd_cmds.c Diff ] File ]
mod - src/dird/dird.h Diff ] File ]
bareos: bareos-13.2 7e8e3983
Timestamp: 2013-07-13 15:29:43
Author: mvwieringen
Ported: N/A
Details ] Diff ]
Implement plugin options passing.

Implement a new feature to pass plugin option as part of the restore process.
Most of the plugin options input was already implemented but for the restore
the options were never pushed to the file daemon. We should pass it to the
filed and raise a bEventPluginCommand event. This way a user can pass in extra
hints to the plugin for the restore process. Currently the plugin only gets
passed in the plugin options that were defined at the moment the backup was made.

The options defined by the user at restore time are passed before the actual
options saved at backup time are passed so the plugin should take care to ignore
any of the options passed in as part of the backup stream being restored
when it already got a override at restore time.

We increased the FD protocol number to 52 to be able to detect if the file daemon
understand the new protocol keyword.

Along the way we tweaked the layout of fileset traversal code somewhat. Added
some spaces and fixed the scoping of the variables somewhat. So you understand
what is going on. And fixed the comments in the filed plugin code.

Fixes 0000207: Implement plugin options passing.
mod - src/dird/dird.h Diff ] File ]
mod - src/dird/fd_cmds.c Diff ] File ]
mod - src/dird/protos.h Diff ] File ]
mod - src/dird/restore.c Diff ] File ]
mod - src/dird/ua_run.c Diff ] File ]
mod - src/filed/authenticate.c Diff ] File ]
mod - src/filed/dir_cmd.c Diff ] File ]
mod - src/filed/fd_plugins.c Diff ] File ]
bareos2015: bareos-13.2 7c1006b2
Timestamp: 2013-07-13 17:29:43
Author: mvwieringen
Ported: N/A
Details ] Diff ]
Implement plugin options passing.

Implement a new feature to pass plugin option as part of the restore process.
Most of the plugin options input was already implemented but for the restore
the options were never pushed to the file daemon. We should pass it to the
filed and raise a bEventPluginCommand event. This way a user can pass in extra
hints to the plugin for the restore process. Currently the plugin only gets
passed in the plugin options that were defined at the moment the backup was made.

The options defined by the user at restore time are passed before the actual
options saved at backup time are passed so the plugin should take care to ignore
any of the options passed in as part of the backup stream being restored
when it already got a override at restore time.

We increased the FD protocol number to 52 to be able to detect if the file daemon
understand the new protocol keyword.

Along the way we tweaked the layout of fileset traversal code somewhat. Added
some spaces and fixed the scoping of the variables somewhat. So you understand
what is going on. And fixed the comments in the filed plugin code.

Fixes 0000207: Implement plugin options passing.
mod - src/dird/dird.h Diff ] File ]
mod - src/dird/fd_cmds.c Diff ] File ]
mod - src/dird/protos.h Diff ] File ]
mod - src/dird/restore.c Diff ] File ]
mod - src/dird/ua_run.c Diff ] File ]
mod - src/filed/authenticate.c Diff ] File ]
mod - src/filed/dir_cmd.c Diff ] File ]
mod - src/filed/fd_plugins.c Diff ] File ]
bareos2015: bareos-14.2 301e17b1
Timestamp: 2013-07-13 17:29:43
Author: mvwieringen
Ported: N/A
Details ] Diff ]
Implement plugin options passing.

Implement a new feature to pass plugin option as part of the restore process.
Most of the plugin options input was already implemented but for the restore
the options were never pushed to the file daemon. We should pass it to the
filed and raise a bEventPluginCommand event. This way a user can pass in extra
hints to the plugin for the restore process. Currently the plugin only gets
passed in the plugin options that were defined at the moment the backup was made.

The options defined by the user at restore time are passed before the actual
options saved at backup time are passed so the plugin should take care to ignore
any of the options passed in as part of the backup stream being restored
when it already got a override at restore time.

We increased the FD protocol number to 52 to be able to detect if the file daemon
understand the new protocol keyword.

Along the way we tweaked the layout of fileset traversal code somewhat. Added
some spaces and fixed the scoping of the variables somewhat. So you understand
what is going on. And fixed the comments in the filed plugin code.

Fixes 0000207: Implement plugin options passing.
mod - src/dird/dird.h Diff ] File ]
mod - src/dird/fd_cmds.c Diff ] File ]
mod - src/dird/protos.h Diff ] File ]
mod - src/dird/restore.c Diff ] File ]
mod - src/dird/ua_run.c Diff ] File ]
mod - src/filed/authenticate.c Diff ] File ]
mod - src/filed/dir_cmd.c Diff ] File ]
mod - src/filed/fd_plugins.c Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-07-15 10:26 mvwieringen New Issue
2013-07-15 10:26 mvwieringen Status new => assigned
2013-07-15 10:26 mvwieringen Assigned To => mvwieringen
2013-07-15 17:24 mvwieringen Changeset attached => bareos master a68e3b98
2013-07-15 17:24 mvwieringen Note Added: 0000535
2013-07-15 17:24 mvwieringen Status assigned => resolved
2013-07-15 17:24 mvwieringen Resolution open => fixed
2013-08-13 03:12 mvwieringen adm Changeset attached => bareos master 73e72117
2013-08-13 03:12 mvwieringen adm Note Added: 0000575
2013-08-13 03:12 mvwieringen adm Assigned To mvwieringen => mvwieringen adm
2013-08-13 09:48 mvwieringen adm Note Deleted: 0000535
2013-10-06 12:04 mvwieringen Changeset attached => bareos bareos-13.2 7e8e3983
2013-10-06 12:04 mvwieringen Note Added: 0000689
2013-10-06 12:04 mvwieringen Assigned To mvwieringen adm => mvwieringen
2014-05-16 17:41 mvwieringen adm Assigned To mvwieringen =>
2014-05-16 17:41 mvwieringen adm Status resolved => closed
2014-05-16 17:41 mvwieringen adm Product Version 13.3.0 => 13.2.1
2014-05-16 17:41 mvwieringen adm Fixed in Version => 13.2.2
2014-05-16 17:41 mvwieringen adm Target Version 13.3.0 => 13.2.2
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-13.2 7c1006b2
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-14.2 301e17b1
2015-03-25 16:51 mvwieringen Note Added: 0001417
2015-03-25 16:51 mvwieringen Status closed => resolved
2015-03-25 19:19 joergs Note Added: 0001569
2015-03-25 19:19 joergs Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker